WABT(1)

NAME
spectest-interp - read a Spectest JSON file, and run its tests in the interpreter

SYNOPSIS
spectest-interp [options] file

DESCRIPTION
spectest-interp reads a Spectest JSON file, and runs its tests in the interpreter.

The options are as follows:

-v, - -verbose
    Use multiple times for more info

- -help
    Print this help message

- -enable-exceptions
    Enable Experimental exception handling

- -disable-mutable-globals
    Disable Import/export mutable globals

- -enable-saturating-float-to-int
    Enable Saturating float-to-int operators

- -enable-sign-extension
    Enable Sign-extension operators

- -enable-simd
    Enable SIMD support

- -enable-threads
    Enable Threading support

- -enable-multi-value
    Enable Multi-value

- -enable-tail-call
    Enable Tail-call support

-V, - -value-stack-size=SIZE
    Size in elements of the value stack

-C, - -call-stack-size=SIZE
    Size in elements of the call stack

-t, - -trace
    Trace execution

EXAMPLES
Parse test.json and run the spec tests

    $ spectest-interp test.json

SEE ALSO
wasm-interp(1), wasm-objdump(1), wasm-opcodecnt(1), wasm-strip(1), wasm-validate(1), wasm2c(1), wasm2wat(1), wast2json(1), wat-desugar(1), wat2wasm(1)

BUGS
If you find a bug, please report it at
https://github.com/WebAssembly/wabt/issues.